import {
  listRecords,
  getRecordByPk,
  createRecord,
  updateRecordByPk,
  deleteRecordByPk
} from "./genericCrudController.js";

const TABLE_NAME = "job_title";
const PK = ["job_title_id"];

export const listJobTitles = listRecords(TABLE_NAME);
export const getJobTitleByPk = getRecordByPk(TABLE_NAME, PK);
export const createJobTitle = createRecord(TABLE_NAME);
export const updateJobTitleByPk = updateRecordByPk(TABLE_NAME, PK);
export const deleteJobTitleByPk = deleteRecordByPk(TABLE_NAME, PK);

